

# BatchGetSchemaAnalysisRule
<a name="API_BatchGetSchemaAnalysisRule"></a>

Retrieves multiple analysis rule schemas.

## Request Syntax
<a name="API_BatchGetSchemaAnalysisRule_RequestSyntax"></a>

```
POST /collaborations/collaborationIdentifier/batch-schema-analysis-rule HTTP/1.1
Content-type: application/json

{
   "schemaAnalysisRuleRequests": [ 
      { 
         "name": "string",
         "type": "string"
      }
   ]
}
```

## URI Request Parameters
<a name="API_BatchGetSchemaAnalysisRule_RequestParameters"></a>

The request uses the following URI parameters.

 ** [collaborationIdentifier](#API_BatchGetSchemaAnalysisRule_RequestSyntax) **   <a name="API-BatchGetSchemaAnalysisRule-request-uri-collaborationIdentifier"></a>
The unique identifier of the collaboration that contains the schema analysis rule.  
Length Constraints: Fixed length of 36.  
Pattern: `[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}`   
Required: Yes

## Request Body
<a name="API_BatchGetSchemaAnalysisRule_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [schemaAnalysisRuleRequests](#API_BatchGetSchemaAnalysisRule_RequestSyntax) **   <a name="API-BatchGetSchemaAnalysisRule-request-schemaAnalysisRuleRequests"></a>
The information that's necessary to retrieve a schema analysis rule.  
Type: Array of [SchemaAnalysisRuleRequest](API_SchemaAnalysisRuleRequest.md) objects  
Array Members: Minimum number of 1 item. Maximum number of 25 items.  
Required: Yes

## Response Syntax
<a name="API_BatchGetSchemaAnalysisRule_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "analysisRules": [ 
      { 
         "collaborationId": "string",
         "collaborationPolicy": { ... },
         "consolidatedPolicy": { ... },
         "createTime": number,
         "name": "string",
         "policy": { ... },
         "type": "string",
         "updateTime": number
      }
   ],
   "errors": [ 
      { 
         "code": "string",
         "message": "string",
         "name": "string",
         "type": "string"
      }
   ]
}
```

## Response Elements
<a name="API_BatchGetSchemaAnalysisRule_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [analysisRules](#API_BatchGetSchemaAnalysisRule_ResponseSyntax) **   <a name="API-BatchGetSchemaAnalysisRule-response-analysisRules"></a>
The retrieved list of analysis rules.  
Type: Array of [AnalysisRule](API_AnalysisRule.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 25 items.

 ** [errors](#API_BatchGetSchemaAnalysisRule_ResponseSyntax) **   <a name="API-BatchGetSchemaAnalysisRule-response-errors"></a>
Error reasons for schemas that could not be retrieved. One error is returned for every schema that could not be retrieved.  
Type: Array of [BatchGetSchemaAnalysisRuleError](API_BatchGetSchemaAnalysisRuleError.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 25 items.

## Errors
<a name="API_BatchGetSchemaAnalysisRule_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
Caller does not have sufficient access to perform this action.    
 ** reason **   
A reason code for the exception.
HTTP Status Code: 403

 ** InternalServerException **   
Unexpected error during processing of request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
Request references a resource which does not exist.    
 ** resourceId **   
The Id of the missing resource.  
 ** resourceType **   
The type of the missing resource.
HTTP Status Code: 404

 ** ThrottlingException **   
Request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the specified constraints.    
 ** fieldList **   
Validation errors for specific input parameters.  
 ** reason **   
A reason code for the exception.
HTTP Status Code: 400

## See Also
<a name="API_BatchGetSchemaAnalysisRule_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/cleanrooms-2022-02-17/BatchGetSchemaAnalysisRule) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/cleanrooms-2022-02-17/BatchGetSchemaAnalysisRule) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/cleanrooms-2022-02-17/BatchGetSchemaAnalysisRule) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/cleanrooms-2022-02-17/BatchGetSchemaAnalysisRule) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/cleanrooms-2022-02-17/BatchGetSchemaAnalysisRule) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/cleanrooms-2022-02-17/BatchGetSchemaAnalysisRule) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/cleanrooms-2022-02-17/BatchGetSchemaAnalysisRule) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/cleanrooms-2022-02-17/BatchGetSchemaAnalysisRule) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/cleanrooms-2022-02-17/BatchGetSchemaAnalysisRule) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/cleanrooms-2022-02-17/BatchGetSchemaAnalysisRule) 